// priority: 0

onEvent('recipes', event => {
    //removal
    removeRecipeByID(event, [
		IFC("million_furnace"),
		IFC("rainbow_coal"),
		IFC("rainbow_core"),
		IFC("rainbow_plating"),
		IFC("heater"),
		IFC("item_heater"),
    ])


	event.recipes.extendedcrafting.shapeless_table(IFC("rainbow_coal"), [
		MC("coal"),
		PRE("alchemical_coal"), PRE("mobius_fuel"), PRE("aeternalis_fuel"),
		PREXP("magenta_fuel"), PREXP("pink_fuel"), PREXP("purple_fuel"), PREXP("violet_fuel"), PREXP("blue_fuel"),
		PREXP("cyan_fuel"), PREXP("green_fuel"), PREXP("lime_fuel"), PREXP("yellow_fuel"), PREXP("orange_fuel"),
		PREXP("white_fuel"),
	]).id(KJ(`${IFC()}/rainbow_coal`))
})